package com.offcn.TestUnti;

import java.util.ArrayList;

public class StringUtils {
	
	public static void main(String[] args) {
		String str="\\u623f\\u95f4\\u53e3\\u4ee4\\u751f\\u6210\\u5931\\u8d25";
		System.out.println(decodeUnicode(str));
	}
	
	public static String getPathName(String path){
		String p=path.substring(0, path.length()-2);
		int end=p.lastIndexOf(".");
		p=p.substring(0, end+1);
		return p;
	}

	//字符串按符号分隔
	public static String[] getArrayString(String custom,String Symbol){
		return custom.split(Symbol);
	}
	
	//长字符串中是否分别包含字符串数据
	public static boolean VerificationString(String custom,String[] ArrayString){
		for(int i=0;i<ArrayString.length;i++){
			if(!custom.contains(ArrayString[i])){
				return false;
			}else{
//				System.out.println("包含");
				continue;
			}
		}
		return true;
	}
	
	//Unicode转UTF-8的转化
    public static String decodeUnicode(String theString) {
        char aChar;
        if(theString==null){
        	return "";
        }
        int len = theString.length();
        StringBuffer outBuffer = new StringBuffer(len);
        for (int x = 0; x < len;) {
            aChar = theString.charAt(x++);
            if (aChar == '\\') {
                aChar = theString.charAt(x++);
                if (aChar == 'u') {
                    // Read the xxxx
                    int value = 0;
                    for (int i = 0; i < 4; i++) {
                        aChar = theString.charAt(x++);
                        switch (aChar) {
                        case '0':
                        case '1':
                        case '2':
                        case '3':
                        case '4':
                        case '5':
                        case '6':
                        case '7':
                        case '8':
                        case '9':
                            value = (value << 4) + aChar - '0';
                            break;
                        case 'a':
                        case 'b':
                        case 'c':
                        case 'd':
                        case 'e':
                        case 'f':
                            value = (value << 4) + 10 + aChar - 'a';
                            break;
                        case 'A':
                        case 'B':
                        case 'C':
                        case 'D':
                        case 'E':
                        case 'F':
                            value = (value << 4) + 10 + aChar - 'A';
                            break;
                        default:
                            throw new IllegalArgumentException(
                                    "Malformed   \\uxxxx   encoding.");
                        }

                    }
                    outBuffer.append((char) value);
                } else {
                    if (aChar == 't')
                        aChar = '\t';
                    else if (aChar == 'r')
                        aChar = '\r';
                    else if (aChar == 'n')
                        aChar = '\n';
                    else if (aChar == 'f')
                        aChar = '\f';
                    outBuffer.append(aChar);
                }
            } else
                outBuffer.append(aChar);
        }
        return outBuffer.toString();
    }
}
